Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class SemanticEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.SemanticEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class SemanticEditPolicy
extends AbstractEditPolicy

An editpolicy to handle creation and updating of semantic model elements

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`SemanticEditPolicy()`

Method Summary
`protected IEditCommandRequest` `completeRequest(IEditCommandRequest request)` Returns a new completed version of the `request`, mainly based on targetting the host of this edit policy.
`Command` `getCommand(Request request)`
`protected Command` `getReorientRefRelationshipSourceCommand(ReconnectRequest request)` Method getReorientRelationshipSourceCommand.
`protected Command` `getReorientRefRelationshipTargetCommand(ReconnectRequest request)` Method getReorientRefRelationshipTargetCommand.
`protected Command` `getReorientRelationshipSourceCommand(ReconnectRequest request)` Method getReorientRelationshipSourceCommand.
`protected Command` `getReorientRelationshipTargetCommand(ReconnectRequest request)` Method getReorientRelationshipTargetCommand.
`protected Command` `getSemanticCommand(IEditCommandRequest request)` Method getSemanticCommand.
`EditPart` `getTargetEditPart(Request request)`
`protected boolean` `shouldProceed(DestroyRequest destroyRequest)` should proceed
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticEditPolicy

    public SemanticEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

  See Also:
    `EditPolicy.getCommand(Request)`

### getSemanticCommand

    protected Command getSemanticCommand(IEditCommandRequest request)

  Method getSemanticCommand.

  Parameters:
    `request` -
  Returns:
    Command

### understandsRequest

    public boolean understandsRequest(Request request)

  See Also:
    `EditPolicy.understandsRequest(Request)`

### completeRequest

    protected IEditCommandRequest completeRequest(IEditCommandRequest request)

  Returns a new completed version of the `request`, mainly based on targetting the host of this edit policy.

  Parameters:
    `request` - the request to be completed
  Returns:
    the completed version of the request. This may or may not be a new instance.

### getReorientRelationshipSourceCommand

    protected Command getReorientRelationshipSourceCommand(ReconnectRequest request)

  Method getReorientRelationshipSourceCommand.

  Parameters:
    `request` -
  Returns:
    Command

### getReorientRelationshipTargetCommand

    protected Command getReorientRelationshipTargetCommand(ReconnectRequest request)

  Method getReorientRelationshipTargetCommand.

  Parameters:
    `request` -
  Returns:
    Command

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

### getReorientRefRelationshipSourceCommand

    protected Command getReorientRefRelationshipSourceCommand(ReconnectRequest request)

  Method getReorientRelationshipSourceCommand.

  Parameters:
    `request` -
  Returns:
    Command

### getReorientRefRelationshipTargetCommand

    protected Command getReorientRefRelationshipTargetCommand(ReconnectRequest request)

  Method getReorientRefRelationshipTargetCommand. Removes the reference the ConnectionEditPart current has an add the new TargetEditPart

  Parameters:
    `request` -
  Returns:
    Command

### shouldProceed

    protected boolean shouldProceed(DestroyRequest destroyRequest)

  should proceed

  Parameters:
    `destroyRequest` - the destroy request
  Returns:
    true or false

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.